﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ACO;

namespace WPF_Window
{
    /// <summary>
    /// Interaction logic for GenerateProblem.xaml
    /// </summary>
    public partial class GenerateProblem : Window
    {
        public GenerateProblem()
        {
            InitializeComponent();
        }

        #region generate button clicks

        private void RandomProblem_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                AntColony.Instance.CreateRandomProblem(int.Parse(this.CityNumberBox.Text));
            }
            catch
            {
                MessageBox.Show("Error: cannot read the number of citys correctly!");
            }
            this.Close();
        }

        private void CirclesProblem_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                AntColony.Instance.CreateProblemCircle(int.Parse(this.CityNumberBox.Text));
            }
            catch
            {
                MessageBox.Show("Error: cannot read the number of citys correctly!");
            }
            this.Close();
        }

        private void MeshProblem_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                AntColony.Instance.CreateProblemMesh(int.Parse(this.CityNumberBox.Text));
            }
            catch
            {
                MessageBox.Show("Error: cannot read the number of citys correctly!");
            }
            this.Close();
        }

        private void ACOProblem_Click(object sender, RoutedEventArgs e)
        {
            AntColony.Instance.CreateAcoProblem();
            this.Close();
        }

        #endregion

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

    }
}
