﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPF_Window
{
    /// <summary>
    /// Interaction logic for HelpWindow.xaml
    /// </summary>
    public partial class HelpWindow : Window
    {
        public HelpWindow()
        {
            InitializeComponent();
        }

        #region HelpRegion

        private void Help_back_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Help_field_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            switch (this.Help_field.SelectedIndex)
            {
                case 0:
                    this.HelpDisplay.Text = HelpClass.Instance.ACOAlgoritam();
                    break;
                case 1:
                    this.HelpDisplay.Text = HelpClass.Instance.ACOParameters();
                    break;
                case 2:
                    this.HelpDisplay.Text = HelpClass.Instance.OptimizacijskiProblemi();
                    break;
                case 3:
                    this.HelpDisplay.Text = HelpClass.Instance.KontrolniMeni();
                    break;
                case 4:
                    this.HelpDisplay.Text = HelpClass.Instance.RezultatiMeni();
                    break;
                case 5:
                    this.HelpDisplay.Text = HelpClass.Instance.MapaLokacija();
                    break;
                case 6:
                    this.HelpDisplay.Text = HelpClass.Instance.GenetskiGraf();
                    break;
                case 7:
                    this.HelpDisplay.Text = HelpClass.Instance.OtvaranjeProblema();
                    break;
                case 8:
                    this.HelpDisplay.Text = HelpClass.Instance.SpremanjeProblema();
                    break;
                case 9:
                    this.HelpDisplay.Text = HelpClass.Instance.SerijaOptimizacije();
                    break;
                case 10:
                    this.HelpDisplay.Text = HelpClass.Instance.SpremanjeRezultata();
                    break;
                default://unknown selection O.o
                    break;
            }
        }

        #endregion

    }
}
